.gallery-container {
    position: relative;
    width: 80%;
    max-width: 800px;
    height: auto; /* La altura se ajusta automáticamente al contenido */
    overflow: hidden;
    border-radius: 10px; /* Si deseas bordes redondeados en el contenedor completo */
}

.image-wrapper {
    width: 100%;
    height: auto; /* La imagen se ajustará a su tamaño natural */
}

.image-wrapper img {
    width: 100%;
    height: auto;
    object-fit: contain; /* Cambiado de cover a contain */
    border-radius: 10px 10px 0 0; /* Bordes redondeados en la parte superior */
}

.image-overlay {
    width: 100%;
    background: rgba(0, 0, 0, 0.5); /* Fondo semi-transparente */
    color: white;
    padding: 20px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    text-align: left;
    opacity: 0;
    transition: opacity 1s ease-in-out;
    height: auto; /* La altura se ajustará según el contenido */
}

.image-title {
    font-size: 28px;
    font-weight: bold;
    margin-bottom: 10px;
    color: white;
}

.image-description {
    font-size: 18px;
    margin-bottom: 10px;
}

.image-text {
    font-size: 22px;
    font-weight: normal;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}
